For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kontaktwege ändern

Hinweise zur Funktion

Eine Person kann über mehrere Kommunikationswege verfügen. Wenn Sie einen neuen Kommunikationsweg erfassen, wird der alte Kommunikationsweg hierdurch nicht automatisch ungültig.

Im Gegensatz zu Adressen können die Kontaktwege nicht mit einem Ablaufdatum versehen werden. Wenn ein Kontaktweg nicht länger verwendet werden darf, muss dieser entweder gelöscht werden, oder eine dazugehörige Anschrift muss über das Ablaufdatum für ungültig erklärt werden.

Bitte beachten Sie, dass ein Kontaktweg selbst bei einer ungültigen Anschrift noch angezeigt wird. Betrachten Sie einen Kontaktweg mit einer zugeordneten Anschrift deshalb immer im Kontext der Gültigkeit der zugeordneten Anschrift.

Neue Kommunikationswege erfassen

Version 1.0


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
CommunicationTypeIdinteger · int32Optional
RelatedAddressIdinteger · int32 · nullableOptional
Contentstring · nullableOptional
Explanationstring · nullableOptional
Antworten
201

Created

integer · int32Optional
post/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications
POST /openwowi/v1.0/PersonsWrite/Person/{personId}/Communications HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "CommunicationTypeId": 1,
  "RelatedAddressId": 1,
  "Content": "text",
  "Explanation": "text"
}
1

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
CommunicationTypeIdinteger · int32Optional
RelatedAddressIdinteger · int32 · nullableOptional
Contentstring · nullableOptional
Explanationstring · nullableOptional
Antworten
201

Created

integer · int32Optional
post/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications
POST /openwowi/v1.2/PersonsWrite/Person/{personId}/Communications HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "CommunicationTypeId": 1,
  "RelatedAddressId": 1,
  "Content": "text",
  "Explanation": "text"
}
1

Bestehende Kommunikationswege ändern

Version 1.0


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
CommunicationTypeIdinteger · int32Optional
RelatedAddressIdinteger · int32 · nullableOptional
Contentstring · nullableOptional
Explanationstring · nullableOptional
Antworten
200

OK

integer · int32Optional
put/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId}
PUT /openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "CommunicationTypeId": 1,
  "RelatedAddressId": 1,
  "Content": "text",
  "Explanation": "text"
}
1

Version 1.2


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Body
CommunicationTypeIdinteger · int32Optional
RelatedAddressIdinteger · int32 · nullableOptional
Contentstring · nullableOptional
Explanationstring · nullableOptional
Antworten
200

OK

integer · int32Optional
put/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}
PUT /openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "CommunicationTypeId": 1,
  "RelatedAddressId": 1,
  "Content": "text",
  "Explanation": "text"
}
1

Bestehende Kommunikationswege löschen

Version 1.0


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
delete/openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId}
DELETE /openwowi/v1.0/PersonsWrite/Person/{personId}/Communications/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Version 1.2


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
delete/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}
DELETE /openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId} HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Kommunikationsweg auf "Standard" setzen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
personIdinteger · int32Erforderlich
childIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

integer · int32Optional
post/openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}/SetStandard
POST /openwowi/v1.2/PersonsWrite/Person/{personId}/Communications/{childId}/SetStandard HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
1

Zuletzt aktualisiert